@use 'colors';

$mobile-width: 700px;

body {
    --text-color: #3d3846;
    --background-color: white;
    --link-color: #4a86cf;
    --tile-hover-color: #f6f5f4;

    --secondary-color: #deddda;
    --content-width: 790px;
    --content-padding: 30px;
    --header-height: 65px;

    --mobile-width: 700px;

    --icon-shadow:
        drop-shadow(0 1.3px 1.6px rgba(0,0,0,.25))
        drop-shadow(0 6.4px 11.2px rgba(0,0,0,.14));
    --light-shadow:
        drop-shadow(0 0px 1px rgba(0, 0, 0, 0.1))
        drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.07));

    @media (prefers-color-scheme: dark) {
        --text-color: #deddda;
        --background-color: #2d283c;
        --link-color: #99C1F1;
        --tile-hover-color: #241f31;
    }

    @media (max-width: $mobile-width) {
        --content-padding: 25px;
    }
}

@font-face{
    font-family: Cantarell;
    src: url("fonts/Cantarell-Regular.woff2");
    font-display: swap;
}

@font-face{
    font-family: Cantarell;
    font-weight: bold;
    src: url("fonts/Cantarell-Bold.woff2");
    font-display: swap;
}

@font-face {
    font-family: Cantarell;
    font-weight: 800;
    src: url("fonts/Cantarell-ExtraBold.woff2");
    font-display: swap;
}

html {
  scroll-behavior: smooth;
}

body {
    font-family: Cantarell, sans-serif;
    font-size: 17px;
    margin: 0;
    background: var(--background-color);
    color: var(--text-color);
    overflow-x: hidden;
}

h2:not(:first-of-type) {
    margin-top: 2.5em;
}

.bar {
    font-size: 17px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: var(--content-width);
    height: var(--header-height);
    margin: auto;

    padding: 0 var(--content-padding);
    box-sizing: border-box;

    a, a:visited, a:hover {
        color: var(--secondary-color);
        text-decoration: none;
    }

    nav {
        display: block;

        ul {
            list-style: none;
            margin: 0;
            padding: 0;
            display: flex;
            align-items: center;
            height: var(--header-height);

            li {
                a, a:visited {
                    display: flex;
                    border-radius: 7px;
                    padding: 0.7em 1em;
                    font-weight: bold;
                    margin-inline-start: 6px;
                    text-decoration: none;
                    transition: 200ms ease;
                }

                a:hover {
                    background: #3d3846;
                }

                svg {
                    height: 22px;
                }
            }
        }
    }

    @media (max-width: $mobile-width) {
        nav a {
            padding-left: 0.5em !important;
            padding-right: 0.5em !important;
        }

        & > div {
            padding: 0 calc(var(--content-padding) / 2);
        }

        .logo {
            display: none;
        }
    }
}

header.top {
    color: var(--secondary-color);
    height: var(--header-height);
    top: 0;
    left: 0;
    right: 0;
    z-index: 5;
    background: #241f31;

    & > div {
        @extend .bar;
    }



}

.logo {
    display: flex;

    svg {
        height: 45px;

        path {
            fill: var(--secondary-color);
        }
    }
}

section {
    max-width: var(--content-width);
    box-sizing: border-box;
    padding: var(--content-padding);
    margin: auto;
}

.standalone-button {
    display: block;
    margin: 0 0 60px;
    text-align: center;

    img {
        max-width: 300px;
    }
}

p {
    hyphens: auto;
}

small {
  font-size: 0.9em;
}

.special {
    margin-top: 2em;
    padding: 1em 0;
}

.content {
    a, a:visited {
        color: var(--link-color);
        text-decoration: none;
        transition: 0.3s filter;
    }

    a:hover {
        filter: brightness(0.7);
        @media (prefers-color-scheme: dark) {
            filter: brightness(1.2);
        }
    }

    @media (prefers-color-scheme: dark) {
        img[src$="\/mobile\.svg"] {
            filter: invert(1);
        }
    }
}

nav.app {
    display: block;
    text-align: center;
    margin-bottom: 1.5em;
}

footer {
    background: black;
    color: #deddda;
    font-size: 15px;
    padding-top: 20px;
    padding-bottom: 30px;
    margin-top: 70px;

    a {
        color: inherit;
        text-decoration: none;
        transition: 0.3s color;
        padding: 3px 0;
        display: inline-block;
    }

    a:hover {
        color: var(--link-color);
    }

    section {
        padding-top: 10px !important;
        padding-bottom: 10px;
    }

    section:not(.flex) {
        text-align: center;

        div {
            padding: 7px 0;
        }
    }

    section.flex {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;

        div {
            padding: 15px 0;
            width: 200px;

            h3 {
                font-size: inherit;
                margin-bottom: 6px;
            }

            ul {
                list-style: none;
                margin: 0;
                padding: 0;
            }
        }
    }

}

@import "app", "app-screenshots", "languages", "overview";
